ffmpeg über yast ?

  • Hi,
    bin sehr neu mit Suse. Ich möchte ffmpeg installieren. Die Forumssuche brachte mir nur Ergenisse aus 2006.


    Ich habe die openSuse 10.3 installiert. Installiere ich über yast erhalte ich Fehlermeldungen, dass das Paket nicht verfügbar sei. Dann soll ich die InstallationsCD einlegen. Die ist drinn, aber er greift nicht darauf zu... Kann man das fixen oder kompiliert man sich ffmpeg manuell?


    Muss ich irgendwas beachten, wenn ich es kompiliere. Brauchen tue ich es für graphTFT :)


    danke.

  • Hallo


    du könntest es vom Packman Server installieren.
    Dann hast du es bei einem Update auch immer recht aktuell.
    Und es geht einfacher als es neu zu compilieren.


    Siehe hier


    coke

    VDR:AMD Athlon X2 4850e, ASUS M3A-H/HDMI, 1 GB DDR2-RAM, 80 GB 3,5"HDD, Hauppauge DVB-C Rev. 2.1, Nova-T, Lorenzen DVB-T, Atric IR-Einschalter, easyvdr 0.6.2


    Server: Allnet ALL6250, 1xGb-LAN, 2xUSB, 400GB mit OPENNAS 1.7


    VDR-User #1475

  • Du kannst Packman auch als zusätzuliche Packetquelle hinzufügen.
    Sieh einfach mal auf der Hauptseite von Packman nach.

    VDR:AMD Athlon X2 4850e, ASUS M3A-H/HDMI, 1 GB DDR2-RAM, 80 GB 3,5"HDD, Hauppauge DVB-C Rev. 2.1, Nova-T, Lorenzen DVB-T, Atric IR-Einschalter, easyvdr 0.6.2


    Server: Allnet ALL6250, 1xGb-LAN, 2xUSB, 400GB mit OPENNAS 1.7


    VDR-User #1475

  • ISt als Paketquelle sogar schon angegeben hab ich gerade festgestellt.


    Der Zugriff auf das CDrom klappt mittlerweile und ich habe imlib2 installiert.


    Trotzdem meckert er immer noch bei der installation von ffmpeg, egal ob über yast als auch auf konsole:
    vdr:~ # rpm -i ffmpeg-0.4.9-9.pm.svn20080209.i586.rpm error: ffmpeg-0.4.9-9.pm.svn20080209.i586.rpm: Header V3 DSA signature: BAD, key ID 9a795806
    error: ffmpeg-0.4.9-9.pm.svn20080209.i586.rpm cannot be installed


    Bei dem System ist irgendwas im argen, doch ich weiss es nicht zuzuordnen :(

  • Könnte sein, daß du zuerst die Packman-Schlüssel impoertieren mußt. Eigentlich sollte yast das beim Hinzufügen der Quelle automatisch machen. Du kannst mal probieren, das packman-repo zu entfernen und neu hinzuzufügen. Adressen der repos findest du bei opensuse.


    mfg
    pidel

  • Danke pidel.
    Hab ich gemacht. Den Fehler hatte ich vorher auch schonmal:


    Zitat


    There was an error in the repository initialization.
    'packman': Valid metadata not found at specified URL(s)
    History:
    - Wrong checksum for primary.xml.gz


    ffmpeg findet yast jetzt gar nicht mehr :(

  • Möglichkeit 1) ein Fehler in yast, schau mal nach yast-Updates.
    Möglichkeit 2) Problem im repo, dauert idR max ein paar Tage.


    Für ffmpeg ist Packman dann deine einzige Quelle, wenn yast das Verzeichnis nicht akualisieren kann wird´s ausgeblendet.


    Du kannst dir das rpm auch über http://packman.links2linux.org runterladen und dann als root auf der Kommandozeile mit

    Code
    1. rpm -i Paketname

    installieren.


    mfg
    pidel